<div class="group-and-offers">
  <h2 class="group-and-offers__title">
    {{ "MERCHANT_MANAGER.MERCHANT_PROFILE.GROUP_AND_OFFERS.TITLE" | translate }}
  </h2>
  <p class="group-and-offers__description">
    {{
      "MERCHANT_MANAGER.MERCHANT_PROFILE.GROUP_AND_OFFERS.DESCRIPTION"
        | translate
    }}
  </p>
  <div class="group-and-offers__content">
    <div class="header">
      <p class="header__tilte">Group membership</p>
      <p class="header__group-name">
        {{ (merchantGroupAndOffers$ | async)?.merchant_group_name }}
      </p>
    </div>
    <ng-container *ngIf="!(isLoading$ | async); else loading">
      <div
        class="offers"
        *ngFor="
          let productAndOffer of (merchantGroupAndOffers$ | async)
            ?.merchant_product_and_offers
        "
      >
        <layout-card-with-details>
          <div class="header" slot="header">
            {{ productAndOffer?.product_name }}
          </div>
          <div class="header" slot="body">
            {{ productAndOffer?.offer_name }}
          </div>
        </layout-card-with-details>
        <div class="offers__percentage">
          <p class="value">{{ productAndOffer?.offer_value }}%</p>
        </div>
      </div>
    </ng-container>
  </div>
  <div
    class="group-and-offers__buttons"
    *ngIf="merchantId$ | async as merchant_id"
  >
    <mo-button
      [text]="
        'MERCHANT_MANAGER.MERCHANT_PROFILE.GROUP_AND_OFFERS.BTN_VISIT_GROUPS'
          | translate
      "
      [designClass]="BUTTON_DESIGN_CLASS.PRIMARY_WHITE"
      [displayBlock]="true"
      [size]="SIZES.MD"
      [routerLink]="merchantGroupsUrl"
      [queryParams]="{ merchant_id }"
    ></mo-button>
  </div>
</div>
<ng-template #loading>
  <div class="offers">
    <layout-card-with-details [isLoading]="true"></layout-card-with-details>
    <layout-skeleton
      *ngFor="let skeleton of skeletonGroupAndOfferPercentage"
      [skeleton]="skeleton"
    ></layout-skeleton>
  </div>
</ng-template>
